






@article{doi:10.1080/00036811.2016.1265108,
author = {Song-Hua Li and Shuhuang Xiang and Jun Xian},
title = {A fast hybrid Galerkin method for high-frequency acoustic scattering},
journal = {Applicable Analysis},
volume = {96},
number = {10},
pages = {1698-1712},
year  = {2017},
publisher = {Taylor & Francis},
doi = {10.1080/00036811.2016.1265108},

URL = { 
        https://doi.org/10.1080/00036811.2016.1265108
    
},
eprint = { 
        https://doi.org/10.1080/00036811.2016.1265108
    
}

}


